import React from 'react';
import { render, screen } from '@testing-library/react';
import { NsBreadcrumb } from './';
import { ItemProps } from './types.d';
const { getByText } = screen;
export const breadcrumbItems: ItemProps[] = [
    { label: 'Home', href: '/', icon: 'home' },
    { label: 'Products', href: '/products' },
    { label: 'Shirts', href: '/products/shirts' },
    { label: 'Blue shirt', href: '/products/shirts/blue' },
];

describe('Breadcrumb', () => {
    it('renders breadcrumb items', () => {
        render(<NsBreadcrumb items={breadcrumbItems} />);
        expect(getByText('Home')).toBeInTheDocument();
        expect(getByText('Products')).toBeInTheDocument();
        expect(getByText('Shirts')).toBeInTheDocument();
        expect(getByText('Blue shirt')).toBeInTheDocument();
    });

    it('renders breadcrumb items with navigation icons', () => {
        render(<NsBreadcrumb items={breadcrumbItems} iconVisibility />);
        expect(getByText('Home')).toBeInTheDocument();
        expect(getByText('Products')).toBeInTheDocument();
        expect(getByText('Shirts')).toBeInTheDocument();
        expect(getByText('Blue shirt')).toBeInTheDocument();
    });
});
