import { PropsWithChildren, useMemo } from 'react';
import { getColumnSizes } from './utils';
import { StyledGrid } from './styled/StyledGrid';
import { AdditionalProps } from '../common.types';

type NsGridColumnsProps = PropsWithChildren<{
    columnClass: string;
    gap: number;
}> &
    AdditionalProps;

const NsGridColumns = ({ columnClass, children, gap, additionalProps }: NsGridColumnsProps) => {
    const sizes = useMemo(() => {
        return getColumnSizes(columnClass ?? 'ns-col-lg-1-1');
    }, [columnClass]);
    return (
        <StyledGrid
            gap={gap}
            sizes={sizes}
            className="styled-grid"
            data-testid={additionalProps?.testid ?? 'ns-grid-columns'}
        >
            {children}
        </StyledGrid>
    );
};
export default NsGridColumns;
