import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '../../../stories/decorators/withCenterDecorator';

type DivArrayProps = {
    elementsCount: number;
};

/**
 * this component return a fragment containing n number of div, with each div numbered as per its index
 * @param n: number of div to render
 * @returns
 */
export const DivArray = ({ elementsCount }: DivArrayProps) => (
    <>
        {Array(elementsCount)
            .fill(0)
            .map((e, i) => (
                <div key={i}>{i + 1}</div>
            ))}
    </>
);
type ComponentType = typeof DivArray;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/NsColumnControl/NDivs',
    component: DivArray,
    decorators: [withCenterDecorator],
    args: {
        n: 2,
    },
} as MetaStory;

export const Basic: Story = {};
