import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '../../../stories/decorators/withCenterDecorator';
import { NsFlexColumns } from '..';
import { DivArray } from './NDivs.story';
import {childrenMapping,  selectDivOptions } from './common';

type ComponentType = typeof NsFlexColumns;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Column/NsFlexColumns',
    component: NsFlexColumns,
    decorators: [withCenterDecorator],
    argTypes: {
        columnClass: {
            control: 'text',
            defaultValue: 'ns-col-lg-1-1-1 ns-col-md-1-1 ns-col-sm-1',
        },
        gap: {
            control: 'number',
            defaultValue: 16,
        },
        children: {
            control: {
                type: 'select',
                options: selectDivOptions,
            },
            defaultValue: <DivArray elementsCount={8} />,
            mapping: childrenMapping,
        },
    },
    args: {
        columnClass: 'ns-col-lg-1-1-1',
        children: <DivArray elementsCount={12} />,
    },
} as MetaStory;

export const SingleColumnControl: Story = {};
export const TwoColumn11: Story = {
    args: { columnClass: 'ns-col-lg-1-1' },
};
export const TwoColumn21: Story = {
    args: { columnClass: 'ns-col-lg-2-1' },
};

export const ThreeColumn211: Story = {
    args: { columnClass: 'ns-col-lg-2-1-1' },
};
export const ThreeColumn121: Story = {
    args: { columnClass: 'ns-col-lg-1-2-1' },
};
export const ThreeColumn111Responsive: Story = {
    args: { columnClass: 'ns-col-lg-1-1-1' },
};

export const FourColumn1111Responsive: Story = {
    args: { columnClass: 'ns-col-lg-1-1-1-1' },
};
