import { styled } from '@nuskin/foundation-theme';
import { getAppColor } from '@nuskin/foundation-theme/src/utils/color-utils';
import { 
    Table,
    TableContainer,
    TableSortLabel,
    TableRow
} from '@mui/material';

export const StyledTableContainer= styled(TableContainer)`
    background-color: ${({ theme }) => getAppColor(theme, 'primary', 'white')};
`;

export const StyledTable = styled(Table)`
    size: medium;
`;

export const StyledTableSortLabel = styled(TableSortLabel)`
  font-size: 12px;
  text-transform: uppercase;
  font-weight: 700;
  line-height: 16px;
  letter-spacing: 0.05em;
  color: ${({ theme }) => getAppColor(theme, 'primary', 'black')};
`;

export const StyledPageComponent = styled.div`
    background-color: ${({ theme }) => getAppColor(theme, 'primary', 'white')};
`;

export const StyledEmptyRow = styled(TableRow)<{emptyRows: number}>`
  height: ${({ emptyRows }) => 53 * emptyRows}px;
`;
