import type { NsTablePaginationProps } from './types.d';
import React from 'react';
import { StyledPageComponent } from './NsTable.styled';
import { TablePagination } from '@mui/material';

export default function NsTablePagination(props: NsTablePaginationProps) {
    const { rowsPerPageOptions, count, rowsPerPage, page, onPageChange, onRowsPerPageChange } = props;

    return (
        <TablePagination
            rowsPerPageOptions={rowsPerPageOptions}
            component={StyledPageComponent}
            count={count}
            rowsPerPage={rowsPerPage}
            page={page}
            onPageChange={onPageChange}
            onRowsPerPageChange={onRowsPerPageChange}
        />
    );
}
