/* eslint-disable no-unused-vars */
import { React } from 'React'

export interface Header {
    label: string;
    id: string | number;
    numeric: boolean;
}
  
export interface Item {
    [key: string]: string | number;
}
  
export interface NsTableProps {
    headers: Header[];
    items: Item[];
    rows: number;
    itemKey: string;
    isShowSelector: boolean;
    rowsPerPageOptions: number[];
    isPagination?: boolean;
}

export type OrderType = 'asc' | 'desc';

export interface NsTableHeaderProps {
    numSelected: number;
    onRequestSort: (event: React.MouseEvent<unknown>, property: keyof Item) => void;
    onSelectAllClick: (event: React.ChangeEvent<HTMLInputElement>) => void;
    order: OrderType;
    orderBy: string;
    rowCount: number;
    headCells: readonly Header[];
    isShowSelector: boolean;
}

export interface NsTablePaginationProps {
    rowsPerPageOptions: number[],
    count: number;
    rowsPerPage: number;
    page: number,
    onPageChange: (unknown, number) => void;
    onRowsPerPageChange: (event: React.ChangeEvent<HTMLInputElement>) => void;
}
